ENV['VAGRANT_DEFAULT_PROVIDER'] = 'libvirt'

Vagrant.configure("2") do |config|
	config.vm.box_url = 'file://' + File.dirname(__FILE__) + '/dist/arch-desktop.box'
	config.vm.box = 'arch-desktop'
	config.vm.boot_timeout = 1
	config.vm.graceful_halt_timeout = 1
	config.vm.synced_folder '.', '/vagrant', disabled: true
	config.ssh.insert_key = false

	config.vm.provider :libvirt do |v|
		v.memory = 2048
		v.cpus = 2
		v.driver = "kvm"
		v.machine_arch = 'x86_64'
		v.loader = '/usr/share/ovmf/x64/OVMF.fd'
	end
end
